/**
   JWindowsScheduler - Java access library for the windows task scheduler
   Copyright (C) 2002 Steffen Siebert <siebert@SteffenSiebert.de>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package de.steffensiebert.jwindowsscheduler;

public class Ole {
  static native int CoInitialize();
  static native int CoCreateInstance();
  static native void CoUninitialize();
  static native int Activate(int taskScheduler, String taskName);
  static native int CreateTrigger(int task);
  static native int NewWorkItem(int taskScheduler, String taskName);
  static native int QueryInterface(int task);
  static native void Save(int persistFile);
  static native void ReleaseTask(int task);
  static native void ReleaseTaskScheduler(int taskScheduler);
  static native void ReleaseEnum(int enum);
  static native int GetTriggerCount(int task);
  static native String GetTriggerString(int task, int trigger);
  static native int GetTriggerType(int task, int trigger);
  static native int GetTriggerValues(int task, int trigger, int values[]);
  static native void SetTrigger(int trigger, int values[]);
  static native int GetTriggerBeginYear(int task, int trigger);
  static native int GetTriggerBeginMonth(int task, int trigger);
  static native int Enum(int taskScheduler);
  static native String Next(int enum);
  static native String GetApplicationName(int task);
  static native String GetParameters(int task);
  static native String GetWorkingDirectory(int task);
  static native int GetPriority(int task);
  static native int GetMaxRunTime(int task);
  static native String GetCreator(int task);
  static native String GetComment(int task);
  static native int GetFlags(int task);
  static native void SetApplicationName(int task, String applicationName);
  static native void SetParameters(int task, String parameters);
  static native void SetWorkingDirectory(int task, String workingDirectory);
  static native void SetPriority(int task, int priority);
  static native void SetMaxRunTime(int task, int maxRunTime);
  static native void SetComment(int task, String comment);
  static native void SetFlags(int task, int flags);
  static native void SetAccountInformation(int task, String accountName, String password);
  public static native boolean WaitForFileChange(String dirName);

  static {
    System.loadLibrary("ole");
  }
}
