/**
   JWindowsScheduler - Java access library for the windows task scheduler
   Copyright (C) 2002 Steffen Siebert <siebert@SteffenSiebert.de>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package de.steffensiebert.jwindowsscheduler;

abstract public class WindowsTaskTrigger {
  public static int TASK_SUNDAY = 1;
  public static int TASK_MONDAY = 2;
  public static int TASK_TUESDAY = 4;
  public static int TASK_WEDNESDAY = 8;
  public static int TASK_THURSDAY = 16;
  public static int TASK_FRIDAY = 32;
  public static int TASK_SATURDAY = 64;

  public static int TASK_TIME_TRIGGER_ONCE = 0;
  public static int TASK_TIME_TRIGGER_DAILY = 1;
  public static int TASK_TIME_TRIGGER_WEEKLY = 2;
  public static int TASK_TIME_TRIGGER_MONTHLYDATE = 3;
  public static int TASK_TIME_TRIGGER_MONTHLYDOW = 4;
  public static int TASK_TIME_TRIGGER_ON_IDLE = 5;
  public static int TASK_TIME_TRIGGER_AT_SYSTEMSTART = 6;
  public static int TASK_TIME_TRIGGER_AT_LOGON = 7;

  int beginYear = 0;
  int beginMonth = 0;
  int beginDay = 0;
  int startHour = 0;
  int startMinute = 0;
  int endYear = 0;
  int endMonth = 0;
  int endDay = 0;
  int minutesDuration = 0;
  int minutesInterval = 0;
  int rgFlags = 0;
  int triggerType = 0;
  int daysInterval = 0;
  int weeksInterval = 0;
  int rgfDaysOfTheWeek = 0;
  int rgfDays = 0;
  int rgfMonths = 0;
  int whichWeek = 0;

  public void setEndYear(int endYear) {
    this.endYear = endYear;
  }

  public void setEndMonth(int endMonth) {
    this.endMonth = endMonth;
  }

  public void setEndDay(int endDay) {
    this.endDay = endDay;
  }

  public void setMinutesDuration(int minutesDuration) {
    this.minutesDuration = minutesDuration;
  }

  public int getBeginYear() {
    return beginYear;
  }

  public int getBeginMonth() {
    return beginMonth;
  }

  public int getBeginDay() {
    return beginDay;
  }

  public int getStartHour() {
    return startHour;
  }

  public int getStartMinute() {
    return startMinute;
  }

  public int getMinutesDuration() {
    return minutesDuration;
  }

  public String toString() {
    return
      "beginYear = "+beginYear+
      " beginMonth = "+beginMonth+
      " beginDay = "+beginDay+
      " startHour = "+startHour+
      " startMinute = "+startMinute+
      " endYear = "+endYear+
      " endMonth = "+endMonth+
      " endDay = "+endDay+
      " minutesDuration = "+minutesDuration+
      " minutesInterval = "+minutesInterval+
      " rgFlags = "+rgFlags+
      " triggerType = "+triggerType+
      " daysInterval = "+daysInterval+
      " weeksInterval = "+weeksInterval+
      " rgfDaysOfTheWeek = "+rgfDaysOfTheWeek+
      " rgfDays = "+rgfDays+
      " rgfMonths = "+rgfMonths+
      " whichWeek = "+whichWeek;
  }
}
